Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1211440 - (UI-Modernization) [EPIC] Modernize the Bugzilla user interface
[EPIC] Modernize the Bugzilla user interface
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On: 1153643 1173430 1214975 1234946 1250317 1258790 1260009 1069447 1132428 1135161 1135162 1135367 1166466 1179123 1179526 1179604 1181004 1209381 1211449 1211720 1215019 1215694 1217333 1219102 1230480 1232992 1249889 1263858
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-13 22:41 EDT by Jason McDonald
Modified: 2016-08-16 01:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-17 02:23:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason McDonald 2015-04-13 22:41:38 EDT
Following the upstream release of Bugzilla 5.0 and our subsequenet upgrade to that version, we would like to assist the upstream Bugzilla project to modernize the Bugzilla user interface, thus improving usability and improving the perceived performance of some pages.

Broadly, this work is likely to include at least:
* migrating from the obsolete YUI2 javascript framework to a modern alternative
* abandoning the old requirement for Bugzilla to work without javascript
* increasing use of AJAX/dynamic content
* redesigning the layout of some pages

This epic will be used to track any additional suggestions from users and, when the time comes, as a container for sub-tasks.
Comment 1 Jason McDonald 2015-04-22 01:26:04 EDT
Another suggestion arising from the Performance Team's survey of users is to move the sorting of bug_list.cgi from the server-side to the client-side.
Comment 2 IanNeilsen 2015-04-23 01:22:57 EDT
Mobilize bugzilla's interface.
Comment 3 Jason McDonald 2015-04-23 02:28:18 EDT
Adding some existing backlog items that should be treated as sub-tasks of this epic.
Comment 4 Jason McDonald 2015-05-03 23:26:54 EDT
Two recent articles from upstream that show where the Bugzilla UI is heading:

* https://globau.wordpress.com/2015/01/08/changing-the-face-of-bugzilla-mozilla-org/
* https://globau.wordpress.com/2015/03/31/bmo-new-look/
Comment 5 Jason McDonald 2016-06-17 04:21:34 EDT
Closed without a word of explanation?

Last I heard, you were modernizing the UI.  Have you abandoned that effort, as the resolution of NOTABUG would seem to imply?

Are you going to close all of the sub-tasks as NOTABUG also?
Comment 6 Jeff Fearn 2016-06-19 17:44:44 EDT
No I'm just closing tracking bugs to clean out unactionable items from the backlog.

Note You need to log in before you can comment on or make changes to this bug.